Commit 69b360b8 authored by Michael Terry's avatar Michael Terry

Add pydrive to flatpak and snap packaging

Needed for Google Drive support.

Also, actually commit NEWS and version update from last commit.
parent 2af0cf1e
# 39.0+
# 39.1
- Fix a bug that could have caused backups to be encrypted with two different
passwords in some cases. This would result in difficulty backing up or
restoring by not accepting the password you expected it to.
- Fix a bug that caused duplicate save or exclude folders to appear in the
preferences.
- Delete a canary file that duplicity's pydrive puts in your Drive.
- If you don't ask for your password to be saved, we now clear out any older
saved password.
- Finally delete the ancient Ubuntu One backend code.
# 39.0
- Switch away from GNOME Online Accounts to our own cloud keys
......
......@@ -173,6 +173,17 @@ modules:
tag: 3.6.0
- name: python-pydrive
buildsystem: simple
build-commands:
- python2 setup.py build
- python2 setup.py install --prefix /app
sources:
- type: git
url: https://github.com/gsuitedevs/PyDrive
tag: 1.3.1
- name: setuptools-scm
buildsystem: simple
build-commands:
......
msgid ""
msgstr ""
"Project-Id-Version: PACKAGE VERSION\n"
"POT-Creation-Date: 2019-04-04 20:07-0400\n"
"POT-Creation-Date: 2019-04-04 21:26-0400\n"
"PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
"Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
"Language-Team: LANGUAGE <LL@li.org>\n"
......
......@@ -17,7 +17,7 @@
# along with Déjà Dup. If not, see <http://www.gnu.org/licenses/>.
project('deja-dup', ['vala', 'c'],
version: '39.0+',
version: '39.1',
license: 'GPLv3+',
default_options: [
'warning_level=1',
......
......@@ -8,7 +8,7 @@ msgid ""
msgstr ""
"Project-Id-Version: deja-dup\n"
"Report-Msgid-Bugs-To: \n"
"POT-Creation-Date: 2019-04-04 20:07-0400\n"
"POT-Creation-Date: 2019-04-04 21:26-0400\n"
"PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
"Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
"Language-Team: LANGUAGE <LL@li.org>\n"
......@@ -1031,7 +1031,7 @@ msgstr ""
msgid "Starting scheduled backup"
msgstr ""
#: deja-dup/monitor/monitor.vala:83 libdeja/BackendGoogle.vala:80
#: deja-dup/monitor/monitor.vala:83 libdeja/BackendGoogle.vala:89
#: libdeja/BackendRackspace.vala:50 libdeja/BackendRemote.vala:128
#: libdeja/BackendS3.vala:60
msgid "Backup will begin when a network connection becomes available."
......@@ -1191,7 +1191,7 @@ msgstr ""
msgid "Google Cloud Storage"
msgstr ""
#: deja-dup/widgets/ConfigLocation.vala:195 libdeja/BackendGoogle.vala:96
#: deja-dup/widgets/ConfigLocation.vala:195 libdeja/BackendGoogle.vala:105
msgid "Google Drive"
msgstr ""
......@@ -1289,20 +1289,20 @@ msgid "Waiting for ‘%s’ to become connected…"
msgstr ""
#. Translators: %s is a folder.
#: libdeja/BackendGoogle.vala:99
#: libdeja/BackendGoogle.vala:108
#, c-format
msgid "%s on Google Drive"
msgstr ""
#: libdeja/BackendGoogle.vala:326
#: libdeja/BackendGoogle.vala:362
msgid "Could not log into Google servers."
msgstr ""
#: libdeja/BackendGoogle.vala:402
#: libdeja/BackendGoogle.vala:438
msgid "Google credentials for Déjà Dup"
msgstr ""
#: libdeja/BackendGoogle.vala:509
#: libdeja/BackendGoogle.vala:545
msgid ""
"You first need to allow Déjà Dup Backup Tool to access your Google account."
msgstr ""
......
......@@ -46,6 +46,8 @@ parts:
python-version: python2
source: https://launchpad.net/duplicity/0.7-series/0.7.18.2/+download/duplicity-0.7.18.2.tar.gz
source-type: tar
python-packages:
- PyDrive # not packaged in Ubuntu
build-packages:
- ieee-data # python-netaddr links to this, but does not depend on it
- librsync-dev
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment